summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Zenin2016-01-10 01:43:54 +0300
committerIvan Zenin2016-01-10 01:43:54 +0300
commita744c6a5d9dad51d80f6c706ea4578afde29dbc7 (patch)
tree8363eb8767bcef410af404fa3b2e8da9f541f5c2
parent597cb5dfeb3e1ce99df66172e8180d59f4846c86 (diff)
downloadaur-a744c6a5d9dad51d80f6c706ea4578afde29dbc7.tar.gz
Update source URL and pkgver() function
-rw-r--r--.SRCINFO9
-rwxr-xr-xPKGBUILD17
2 files changed, 16 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d47c33deda4..041859dca31 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,17 +1,20 @@
+# Generated by mksrcinfo v8
+# Sat Jan 9 22:39:02 UTC 2016
pkgbase = amule-remote-git
pkgdesc = An eMule-like client for the eD2k and Kademlia p2p networks (remote GUI only, development version)
- pkgver = master
- pkgrel = 1
+ pkgver = latest
+ pkgrel = 2
url = http://www.amule.org
arch = i686
arch = x86_64
license = GPL
makedepends = git
+ depends = crypto++
depends = geoip
depends = geoip-database
depends = wxgtk>=2.8
conflicts = amule
- source = git+git://repo.or.cz/amule.git
+ source = git+git://github.com/amule-project/amule.git
md5sums = SKIP
pkgname = amule-remote-git
diff --git a/PKGBUILD b/PKGBUILD
index fa06d148820..282bc3e769e 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Ivan Zenin <i.zenin@gmx.com>
pkgname=amule-remote-git
-pkgver=
+pkgver=latest
pkgrel=2
pkgdesc='An eMule-like client for the eD2k and Kademlia p2p networks (remote GUI only, development version)'
url='http://www.amule.org'
@@ -10,17 +10,20 @@ license=('GPL')
depends=('crypto++' 'geoip' 'geoip-database' 'wxgtk>=2.8')
makedepends=('git')
conflicts=('amule')
-source=('git+git://repo.or.cz/amule.git')
+source=('git+git://github.com/amule-project/amule.git')
md5sums=('SKIP')
pkgver() {
- cd "${SRCDEST}/amule"
- echo $(git rev-list --count HEAD).$(git rev-parse --short HEAD)
+ cd ${srcdir}/amule
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
- cd "${srcdir}/amule"
- ./configure \
+ cd "${srcdir}"/amule
+ ./autogen.sh && ./configure \
--prefix=/usr \
--mandir=/usr/share/man \
--disable-monolithic \
@@ -51,7 +54,7 @@ build() {
}
package() {
- cd "${srcdir}/amule"
+ cd "${srcdir}"/amule
make DESTDIR="${pkgdir}" install
find "${pkgdir}" -type d -name .git -exec rm -r '{}' +
install -dm750 -o129 -g129 "${pkgdir}/var/lib/amule"